# Software collection macros
%global scl_name_base unixODBC
%global scl_name_version 23

%global scl %{scl_name_base}%{scl_name_version}
%scl_package %scl
%global _scl_prefix /opt/rh

Name:		  %scl_name
Version:	1
Release:	1%{?dist}
Summary:	Package that installs %scl
License:	GPLv2+ and LGPLv2+
BuildRequires:	scl-utils-build
Requires:	%{scl_prefix}unixODBC

%description
Main package for %scl Software Collection.

%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils

%description runtime
Package shipping essential scripts to work with %scl Software Collection.

%package build
Summary: Package shipping basic build configuration for %scl Software Collection.
Requires: scl-utils-build

%description build
Package shipping essential configuration macros to build %scl Software Collection.

%prep
%setup -c -T

%build

%install
%scl_install

cat >> %{buildroot}%{_scl_scripts}/enable << EOF
export PATH=%{_bindir}\${PATH:+:\${PATH}}
export LD_LIBRARY_PATH=%{_libdir}\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}
export MANPATH=%{_mandir}:\$MANPATH
export PKG_CONFIG_PATH=%{_libdir}/pkgconfig\${PKG_CONFIG_PATH:+:\${PKG_CONFIG_PATH}}
EOF

# FIXME: scl_utils should create this file automatically, they don't, but it is required
%{?fedora:touch %{buildroot}%{_scl_scripts}/%{scl}}

%files

%files runtime
%scl_files

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config

%changelog
* Wed Feb 11 2015 Jan Stanek <jstanek@redhat.com> 1-1
- Initial package
